PFont  FontTexte;
PImage Logos;


void setup() {  
  size(1024, 768, P3D); // P3D  OPENGL
  FontTexte = createFont("Arial", 14);
  
}


void draw() {
  background(0);  // 0 
  TexteIntro();   
}


void TexteIntro() {
  String Titre ="LES PAYSAGES DU LARYNX\n" +
  "Un voyage dans le corpus de la parole des langues de France par Guykayser et Gérard Parésys";
  
  String TexteInfo ="… J'étais conscient que l‘acte de parler lui-même est sculpture ... Je considère aussi la pensée humaine comme la première sculpture, qui sort de l‘homme. Qu‘il peut regarder sa pensée comme un artiste regarde son oeuvre, n‘est-ce pas? Qu‘il regarde son acte de penser. Joseph Beuys\n\n" +
"Chaque 'paysage du larynx' se modèle sur une carte des hauteurs de la zone géographique où se parle une des 9 langues choisies.\n" +
"(Cèmuhî, Créole guadeloupéen, Créole réunionais,  Drehu, Français, Kabyle/Berbère, Maore, Occitan, Picard).\n" +
"C'est dans le relief de ces paysages que la voix sculpte et modèle, par son mouvement, son intensité et son ton, un nouveau panorama.\n\n" +
"La segmentation de la transcription et de la traduction sont présentes:\n" +
 "  • dans une zone de lecture classique située en bas du paysage, la touche T du clavier autorise la permutation Transcription/Traduction\n" +
 "  • sur un ruban naissant avec le mouvement de la voix et se déformant en suivant le mouvement de la souris." +
"L'ensemble de la scène est en 3D et permet des points de vue diversifiés.";

String ToucheClavier =
"Touche Clavier :\n" +
 "  • A  Retour à l’accueil\n" +
 "  • Z  Retour au debut\n" +
 "  • R  Rouge Couleur relief On / Off\n" +
 "  • V  Vert  Couleur relief On / Off\n" +
 "  • B  Bleu  Couleur relief On / Off";
 String ToucheClavier2 =
 "\n" +
 "  • S  Sauve l'ecran (format png)\n" +
 "  • L  Lumiere              On/Off\n" +
 "  • T  Affiche Transcription <-> Traduction\n" +
 "  • Espace      Pause";
  String DGLF = "Délégation générale à la langue française et aux langues de France";


//             Souris Molette           : Zoom
//           Souris Clic droit + Drag : Zoom      
//           Souris Clic + Drag       : Rotation      
//           Souris 2 x Clic : Reset position
  
   textFont(FontTexte, 14);
   textAlign(CENTER); 
   fill(255,255,255); 
   text(Titre, 0, 40, 1024, 100 );
   textAlign(LEFT);   
   text(TexteInfo, 112, 120, 800, 500 ); // Transcription
   text(ToucheClavier, 112, 450, 800, 500 ); // Transcription
   text(ToucheClavier2, 400, 450, 800, 500 ); // Transcription
   Logos = loadImage("logo.png");
   image(Logos,112,600);
   text(DGLF, 300, 650 ); // Transcription
  }
